al_init(3)

NAME

al_init - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    #define al_init()    (al_install_system(ALLEGRO_VERSION_INT, atexit))

DESCRIPTION

Like al_install_system(3), but automatically passes in the version and uses the atexit function visible in the current binary.

    Note: It is typically wrong to call al_init anywhere except the final game binary. In particular, do not call it inside a shared library unless you know what you're doing. In those cases, it is better to call al_install_system either with a NULL atexit_ptr, or with a pointer to atexit provided by the user of this shared library.

SEE ALSO

al_install_system(3)